The "Record Order Payment" API allows to record a payment for an order. Use this endpoint to record payment for an order and update the order status to "Paid".

http
POST https://services.leadconnectorhq.com/payments/orders/{orderId}/record-payment

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
orderIdstringYes5e2d4c8e0e8b4e001c1c4f5dOrder ID

Body

NameTypeRequiredExampleDescription
altIdstringYes6578278e879ad2646715ba9caccount Id / company Id based on altType
altTypestringYesaccountAlt Type Possible values: 'account'
modestringYescardmanual payment method Possible values: 'cash', 'card', 'cheque', 'bank_transfer', 'other'
cardobjectNoDetails of Card if used for payment
chequeobjectNoDetails of the Cheque if used for payment
notesstringNoThis was a direct paymentAny note to be recorded with the transaction
amountnumberNo100Amount to be paid against the invoice.
metaobjectNoMeta data to be recorded with the transaction
isPartialPaymentbooleanNoIndicates if the order is intended to be a partial payment.

Responses

200 - Successful response
  • success (boolean, required): Success status of the request Example: True

json
{
  "success": true
}
400 - Order not found
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X POST 'https://services.leadconnectorhq.com/payments/orders/YOUR_orderId/record-payment' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "altId": "6578278e879ad2646715ba9c",
  "altType": "account",
  "mode": "card",
  "notes": "This was a direct payment",
  "amount": 100,
  "meta": {},
  "isPartialPayment": true
}'

Last updated October 26, 2026

Was this page helpful?